<?php

//	Handle running this file by using SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

//	Make sure that we have the package database functions.
if(!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');

//	File to create the Limit Karma tables, if they need to be created.

//	Set up the correct columns for the table.
$columns = array(
	array(
		'name' => 'id_executor',
		'type' => 'mediumint',
		'size' => '8',
		'default' => '0',
	),
	array(
		'name' => 'id_msg',
		'type' => 'int',
		'size' => '10',
		'default' => '0',
	),
	array(
		'name' => 'count',
		'type' => 'smallint',
		'size' => '5',
		'default' => '0',
	),
	array(
		'name' => 'type',
		'type' => 'varchar',
		'size' => '2',
		'default' => 'm',
	),
);

//	Set up the correct indexes for the table.
$indexes = array(
	array(
		'type' => 'primary',
		'columns' => array('id_executor', 'id_msg', 'type'),
	),
);

//	Finally create the limit_karma table.
$smcFunc['db_create_table']('limit_karma', $columns, $indexes, array(), 'update_remove');

//	Show a confirmation message, if an upgrade through SSI.php was successful.
if(SMF == 'SSI')
   echo 'Database updates complete!';

?>